/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_COMPROPER                                                */
/* Tabela : COMPRADOR                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 16/05/2007 - Marcelo Alexsandro Souza Silva                                */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_COMPROPER
BEFORE INSERT OR UPDATE OR DELETE
ON COMPROPER FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCMPOPER := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDOPERADOR,0)      <> NVL(:NEW.CDOPERADOR,0))      OR
         (NVL(:OLD.CDCOMPRADOR,0)     <> NVL(:NEW.CDCOMPRADOR,0))     OR
         (NVL(:OLD.IDEXSENHCMPOPER,0) <> NVL(:NEW.IDEXSENHCMPOPER,0)) OR
         (NVL(:OLD.IDCOTCMPOPER,0)    <> NVL(:NEW.IDCOTCMPOPER,0))    OR
         (NVL(:OLD.IDAPURCMPOPER,0)   <> NVL(:NEW.IDAPURCMPOPER,0))   OR
         (NVL(:OLD.IDAFCMPOPER,0)     <> NVL(:NEW.IDAFCMPOPER,0))     THEN
         :NEW.DTULTATUCMPOPER := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('COMPROPER', '', 'CDOPERADOR='||:OLD.CDOPERADOR||';CDCOMPRADOR='||:OLD.CDCOMPRADOR||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE COMPROPER MODIFY DTULTATUCMPOPER DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_COMPROPER','4.11.122'); END;
/

