/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/* Compras e Suprimentos                                                      */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: CALC_PROX_ENTR_MES                                                   */
/*                                                                            */
/* Descrio:                                                                 */
/* Calcula datas de entrega para um determinado mes baseando-se na            */
/* Periodicidade de Entrega e nos Feriados de Compras.                        */
/*                                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 12/01/99 - Yoris L. de Souza                                               */
/*                                                                            */
/* Manutenes:                                                               */
/*   /  /   -                                                                 */
/*                                                                            */
/*                                                                            */
/******************************************************************************/
/* @H:\SISTEMAS\DBA\SQL\ORACLE\8020_CMPSTP_CALC_PROX_ENTR_MES.SQL */
/* @D:\SQLMAN~1\ORACLE\8020_CMPSTP_CALC_PROX_ENTR_MES.SQL         */
/******************************************************************************/
/* PARAMETROS:                                                                */
/*                                                                            */
/* P_CDFILIAL     - Cdigo da Filial                                          */
/* P_CDPERIENTR   - Cdigo da Periodicidade de Entrega                        */
/* P_DTINICIAL    - Data do Inicio do Mes                                     */
/* P_NRMESES      - Numero de meses a serem calculados                        */
/******************************************************************************/

CREATE OR REPLACE PROCEDURE CALC_PROX_ENTR_MES
  (P_CDFILIAL     IN VARCHAR2,
   P_CDPERIENTR   IN VARCHAR2,
   P_DTINICIAL    IN DATE,
   P_DTINIAUX     OUT DATE) IS
   V_IDTIPODIA  VARCHAR2(1);
   V_IDDIANUTIL VARCHAR2(1);


BEGIN
  SELECT IDTIPODIA,IDDIANUTIL INTO V_IDTIPODIA, V_IDDIANUTIL
  FROM PERIENTR
  WHERE
  CDPERIENTR = P_CDPERIENTR;

  IF V_IDTIPODIA = 'M' THEN
     MENSAL_PROX_DATA_ENTREGA(P_CDFILIAL,P_CDPERIENTR,P_DTINICIAL,V_IDDIANUTIL, P_DTINIAUX);
     COMMIT;
  ELSE
     IF V_IDTIPODIA = 'S' THEN
        SEMANAL_PROX_DATA_ENTREGA(P_CDFILIAL,P_CDPERIENTR,P_DTINICIAL,V_IDDIANUTIL, P_DTINIAUX);
        COMMIT;
     END IF;
  END IF;

END;
/

-- VERSAO --
BEGIN ATUVEROBJ('CALC_PROX_ENTR_MES','4.11.151'); END;
/

